Package org.springframework.cloud.task.batch.autoconfigure.rabbit

# Class AmqpItemReaderAutoConfiguration

java.lang.Object
org.springframework.cloud.task.batch.autoconfigure.rabbit.AmqpItemReaderAutoConfiguration

@Configuration(proxyBeanMethods=false) @EnableConfigurationProperties(AmqpItemReaderProperties.class) @AutoConfigureAfter(org.springframework.boot.autoconfigure.batch.BatchAutoConfiguration.class) @ConditionalOnProperty(name="spring.batch.job.amqpitemreader.enabled", havingValue="true", matchIfMissing=false) public class AmqpItemReaderAutoConfiguration extends Object
Autconfiguration for a `AmqpItemReader`.

Since:
  2.3
Author:
  Glenn Renfro, Michael Minella

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AmqpItemReaderAutoConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.springframework.batch.item.amqp.AmqpItemReader<Map<String,Object>>`
  `amqpItemReader(org.springframework.amqp.core.AmqpTemplate amqpTemplate, Class itemType)`
  `AmqpItemReaderProperties`
  `amqpItemReaderProperties()`
  `org.springframework.amqp.support.converter.MessageConverter`
  `messageConverter()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AmqpItemReaderAutoConfiguration

    public AmqpItemReaderAutoConfiguration()

- ## Method Details

  - ### amqpItemReaderProperties

    @Bean public AmqpItemReaderProperties amqpItemReaderProperties()

  - ### amqpItemReader

    @Bean public org.springframework.batch.item.amqp.AmqpItemReader<Map<String,Object>> amqpItemReader(org.springframework.amqp.core.AmqpTemplate amqpTemplate, @Autowired(required=false) Class itemType)

  - ### messageConverter

    @ConditionalOnProperty(name="spring.batch.job.amqpitemreader.jsonConverterEnabled", havingValue="true", matchIfMissing=true) @Bean public org.springframework.amqp.support.converter.MessageConverter messageConverter()